Subject: bug#55706: 29.0.50; files test fails about 20% of the time

From: Lars Ingebrigtsen <[email-masked]>
Date: Tue, 31 May 2022 20:17:08 +0200

Michael Albinus <[email-masked]> writes:

> I have less cores in my laptop, so I have applied your code with -j8. It
> failed exactly one time. Not bad, so I'm able to reproduce it.

I was beginning to wonder whether it was just a problem on my build
machine -- I couldn't reproduce it at all on my laptop (but the laptop
is really slow compared to the build machine).

>> So there seems to be something racing with this test -- but only this
>> test.  Pretty bizarre.
>
> I will instrument both the test function and file-in-directory-p in
> order to get more information about the reason. Don't expect results
> soon, these days I'm slow in working for Emacs.

No problem.  :-)

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no